Description

Hello,

when I try to install the foreman with the katello scenario by this command

foreman-installer --scenario katello \

--foreman-initial-organization "Capensis" \

--foreman-initial-location "Lille" \

--foreman-proxy-content-puppet=false \

--puppet-agent=false \

--no-enable-puppet \

--puppet-server=false \

--puppet-server-ca=false \

--foreman-proxy-puppet=false \

--foreman-proxy-puppetca=false \

--foreman-proxy-manage-puppet-group=false \

--foreman-proxy-dhcp=false \

--foreman-proxy-dns=false \

--foreman-proxy-tftp=false \

--foreman-puppetrun=false

I get an error during the smart proxy registration step because apache isn't started at this time yet.

If I restart the installer, the problem doesn't appear anymore.

For the installation to succeed the first time, I have to do this.

sed -i 's/foreman_smartproxy { $foreman_proxy::registered_name:/foreman_smartproxy { $foreman_proxy::registered_name:\n     

require         => Class['apache::service'],/g' \

/usr/share/foreman-installer/modules/foreman_proxy/manifests/register.pp

Technical environment :

Centos 7.5.1804

Foreman 1.19.0-1

Katello 3.8.0-5

Thanks in advance.

Rgs,

Sophian Mehboub

Related issues:

Related to Foreman - Bug #23054: Smart proxy register error when apache is no... Closed

History

#1 - 12/17/2018 05:26 PM - Tomer Brisker

05/20/2024 1/2



- Project changed from Foreman to Installer

#2 - 12/17/2018 05:29 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #23054: Smart proxy register error when apache is not started first

 added

#3 - 12/17/2018 05:31 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Triaged changed from No to Yes

- Found in Releases 1.19.0 added

I think this is a duplicate of #23054 for which just last night I merged what I think is a fix. It'll be tricky to backport though but it's good to know a proper

reproducer for this.

#4 - 04/11/2019 04:16 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate
